import "./index.css";
/* script */
//
//
//
//
//
//
//
//
//
//
import { createComponentName, componentMixin } from '../_utils/component';
const __vue_script__ = {
  name: createComponentName('progress'),
  mixins: [componentMixin],
  props: {
    value: {
      type: Number,
      default: 0
    }
  }
};
/* template */

var __vue_render__ = function () {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c("div", {
    class: _vm.bem()
  }, [_c("div", {
    class: _vm.bem("bar")
  }, [_c("i", {
    class: _vm.bem("bar-flag"),
    style: {
      width: _vm.value + "%"
    }
  })]), _vm._v(" "), _c("div", {
    class: _vm.bem("info")
  }, [_c("em", [_vm._v(_vm._s(_vm.value.toFixed(2)))]), _c("span", [_vm._v("%")])])]);
};

var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;
/* style */

const __vue_inject_styles__ = undefined;
/* scoped */

const __vue_scope_id__ = undefined;
/* module identifier */

const __vue_module_identifier__ = undefined;
/* functional template */

const __vue_is_functional_template__ = false;
/* component normalizer */

import __vue_normalize__ from '../_utils/vue-normalize-component.js';
/* style inject */

/* style inject SSR */

export default __vue_normalize__({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, undefined, undefined);